package com.ym.mec.biz.event;

import org.springframework.context.ApplicationEvent;

/**
 * @Author qnc99
 * @Date 2020/12/15 0015
 */
public class EntityChangeEvent extends ApplicationEvent {

    private Integer operatorId;

    private Object oldEntity;

    private Object newEntity;

    public EntityChangeEvent(Object source, Object oldEntity, Object newEntity, Integer operatorId) {
        super(source);
        this.oldEntity = oldEntity;
        this.newEntity = newEntity;
        this.operatorId = operatorId;
    }

    public Object getOldEntity() {
        return oldEntity;
    }

    public Object getNewEntity() {
        return newEntity;
    }

    public Integer getOperatorId() {
        return operatorId;
    }
}
